/* Lab 3
 * Lab3Camera class
 * 
 * Test driver for Camera class
 * Illustrates Camera class methods
 */

Camera cam = new Camera();

void setup() {
  size(600,600,P3D);
  smooth();
  noFill();
  strokeWeight(2);
}
    
void draw() {
  background(255);
  translate(width/2,height/2,0);
  // Camera transformations
  // Compute the camera transformation matrix
  cam.computeCameraMatrix();
  // Apply the camera transformation matrix
  cam.setCameraMatrix();
  // Print camera matrix for debugging
  printCamera();

  // Modeling transformations
  pushMatrix();
  translate(120,0,0);
  box(80);
  popMatrix();
  box(160);
}

// Handle keyPressed events
// Each motion happens only once when key is pressed
void keyPressed() {
  
   if (key == 'f') { // Move forward
      cam.forwardCamera( 1 );
   }
   else if (key == 'b') { // Move back
      cam.forwardCamera( -1 );
   }
   else if (key == 'l') { // turn left
   }
   else if (key == 'r') { // turn right
   }
   else if (key == 'u') { // slide up
   }
   else if (key == 't') { // roll right
     cam.rollCamera(0.05);
   }
    else if (key == 'y') { // roll left
     cam.rollCamera(-0.05);
   }
}



